Commit 0a848644 authored by Laurent Montel's avatar Laurent Montel 😁

Clean up CMakeLists.txt

parent e9c1567d
cmake_minimum_required(VERSION 2.8.12)
project(composereditorng)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kdepim-apps-lib_SOURCE_DIR})
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX COMPOSEREDITORNG
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/composereditorng_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ComposerEditorNGConfigVersion.cmake"
......@@ -38,13 +32,6 @@ install(FILES
${CMAKE_CURRENT_BINARY_DIR}/composereditorng_version.h
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
else()
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX COMPOSEREDITORNG
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/composereditorng_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ComposerEditorNGConfigVersion.cmake"
SOVERSION 5
)
endif()
# Laurent install it if you want to debug it
#add_subdirectory(tests)
......
cmake_minimum_required(VERSION 2.8.12)
project(kaddressbookgrantlee)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kdepim-apps-lib_SOURCE_DIR})
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX KADDRESSBOOKGRANTLEE
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaddressbookgrantlee_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KaddressbookGrantleeConfigVersion.cmake"
......@@ -37,13 +32,5 @@ install(FILES
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
else()
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX KADDRESSBOOKGRANTLEE
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaddressbookgrantlee_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KaddressbookGrantleeConfigVersion.cmake"
SOVERSION 5
)
endif()
add_subdirectory(src)
cmake_minimum_required(VERSION 2.8.12)
project(followupreminder)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kdepim-apps-lib_SOURCE_DIR})
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX FOLLOWUPREMINDER
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/followupreminder_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FollowupReminderConfigVersion.cmake"
......@@ -37,14 +33,5 @@ install(FILES
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
else()
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX FOLLOWUPREMINDER
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/followupreminder_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FollowupReminderConfigVersion.cmake"
SOVERSION 5
)
endif()
add_subdirectory(src)
cmake_minimum_required(VERSION 2.8.12)
project(kdepimdbusinterfaces)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kdepim-apps-lib_SOURCE_DIR})
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX KDEPIMDBUSINTERFACES
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdepimdbusinterfaces_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfigVersion.cmake"
......@@ -36,13 +33,5 @@ install(FILES
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
else()
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX KDEPIMDBUSINTERFACES
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdepimdbusinterfaces_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KdepimDBusInterfacesConfigVersion.cmake"
SOVERSION 5
)
endif()
add_subdirectory(src)
cmake_minimum_required(VERSION 2.8.12)
project(sendlater)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kdepim-apps-lib_SOURCE_DIR})
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX SENDLATER
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sendlater_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfigVersion.cmake"
......@@ -38,13 +33,5 @@ install(FILES
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
else()
ecm_setup_version(${KDEPIM_LIB_VERSION} VARIABLE_PREFIX SENDLATER
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sendlater_version.h"
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfigVersion.cmake"
SOVERSION 5
)
endif()
add_subdirectory(src)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment